Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

# Class ObjectFactory

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_002_02.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the org.kapott.hbci.sepa.jaxb.pain_002_002_02 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

## Constructor Summary

Constructors
Constructor
Description
`ObjectFactory()`
Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_002_002_02

## Method Summary

Modifier and Type
Method
Description
`AccountIdentificationSEPA`
`createAccountIdentificationSEPA()`
Create an instance of `AccountIdentificationSEPA`
`AmendmentInformationDetailsSEPA`
`createAmendmentInformationDetailsSEPA()`
Create an instance of `AmendmentInformationDetailsSEPA`
`AmountTypeSEPA`
`createAmountTypeSEPA()`
Create an instance of `AmountTypeSEPA`
`BranchAndFinancialInstitutionIdentificationSEPA1`
`createBranchAndFinancialInstitutionIdentificationSEPA1()`
Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA1`
`BranchAndFinancialInstitutionIdentificationSEPA2`
`createBranchAndFinancialInstitutionIdentificationSEPA2()`
Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA2`
`CashAccountSEPA1`
`createCashAccountSEPA1()`
Create an instance of `CashAccountSEPA1`
`CashAccountSEPA2`
`createCashAccountSEPA2()`
Create an instance of `CashAccountSEPA2`
`CreditorReferenceInformationSEPA`
`createCreditorReferenceInformationSEPA()`
Create an instance of `CreditorReferenceInformationSEPA`
`CreditorReferenceTypeSEPA`
`createCreditorReferenceTypeSEPA()`
Create an instance of `CreditorReferenceTypeSEPA`
`CurrencyAndAmountSEPA`
`createCurrencyAndAmountSEPA()`
Create an instance of `CurrencyAndAmountSEPA`
`DateAndPlaceOfBirth`
`createDateAndPlaceOfBirth()`
Create an instance of `DateAndPlaceOfBirth`
`Document`
`createDocument()`
Create an instance of `Document`
`JAXBElement<Document>`
`createDocument(Document value)`
Create an instance of `JAXBElement``<``Document``>`
`FinancialInstitutionIdentificationSEPA1`
`createFinancialInstitutionIdentificationSEPA1()`
Create an instance of `FinancialInstitutionIdentificationSEPA1`
`FinancialInstitutionIdentificationSEPA2`
`createFinancialInstitutionIdentificationSEPA2()`
Create an instance of `FinancialInstitutionIdentificationSEPA2`
`GenericIdentification3`
`createGenericIdentification3()`
Create an instance of `GenericIdentification3`
`GenericIdentification4`
`createGenericIdentification4()`
Create an instance of `GenericIdentification4`
`GenericIdentificationSEPA`
`createGenericIdentificationSEPA()`
Create an instance of `GenericIdentificationSEPA`
`GroupHeaderSEPA`
`createGroupHeaderSEPA()`
Create an instance of `GroupHeaderSEPA`
`LocalInstrumentSEPA`
`createLocalInstrumentSEPA()`
Create an instance of `LocalInstrumentSEPA`
`MandateRelatedInformationSEPA`
`createMandateRelatedInformationSEPA()`
Create an instance of `MandateRelatedInformationSEPA`
`OrganisationIdentificationSEPA`
`createOrganisationIdentificationSEPA()`
Create an instance of `OrganisationIdentificationSEPA`
`OrganisationIdentificationSEPAChoice`
`createOrganisationIdentificationSEPAChoice()`
Create an instance of `OrganisationIdentificationSEPAChoice`
`OriginalGroupInformationSEPA`
`createOriginalGroupInformationSEPA()`
Create an instance of `OriginalGroupInformationSEPA`
`OriginalTransactionReferenceSEPA`
`createOriginalTransactionReferenceSEPA()`
Create an instance of `OriginalTransactionReferenceSEPA`
`Pain00200102`
`createPain00200102()`
Create an instance of `Pain00200102`
`PartyIdentificationSEPA1`
`createPartyIdentificationSEPA1()`
Create an instance of `PartyIdentificationSEPA1`
`PartyIdentificationSEPA2`
`createPartyIdentificationSEPA2()`
Create an instance of `PartyIdentificationSEPA2`
`PartyIdentificationSEPA3`
`createPartyIdentificationSEPA3()`
Create an instance of `PartyIdentificationSEPA3`
`PartyIdentificationSEPA4`
`createPartyIdentificationSEPA4()`
Create an instance of `PartyIdentificationSEPA4`
`PartyIdentificationSEPA5`
`createPartyIdentificationSEPA5()`
Create an instance of `PartyIdentificationSEPA5`
`PartySEPA1`
`createPartySEPA1()`
Create an instance of `PartySEPA1`
`PartySEPA2`
`createPartySEPA2()`
Create an instance of `PartySEPA2`
`PartySEPAChoice`
`createPartySEPAChoice()`
Create an instance of `PartySEPAChoice`
`PaymentTransactionInformationSEPA`
`createPaymentTransactionInformationSEPA()`
Create an instance of `PaymentTransactionInformationSEPA`
`PaymentTypeInformationSEPA`
`createPaymentTypeInformationSEPA()`
Create an instance of `PaymentTypeInformationSEPA`
`PersonIdentification3`
`createPersonIdentification3()`
Create an instance of `PersonIdentification3`
`PersonIdentificationSEPA`
`createPersonIdentificationSEPA()`
Create an instance of `PersonIdentificationSEPA`
`PostalAddressSEPA`
`createPostalAddressSEPA()`
Create an instance of `PostalAddressSEPA`
`RemittanceInformationSEPAChoice`
`createRemittanceInformationSEPAChoice()`
Create an instance of `RemittanceInformationSEPAChoice`
`RestrictedIdentificationSEPA`
`createRestrictedIdentificationSEPA()`
Create an instance of `RestrictedIdentificationSEPA`
`ServiceLevelSEPA`
`createServiceLevelSEPA()`
Create an instance of `ServiceLevelSEPA`
`StatusReason1Choice`
`createStatusReason1Choice()`
Create an instance of `StatusReason1Choice`
`StatusReasonInformationSEPA`
`createStatusReasonInformationSEPA()`
Create an instance of `StatusReasonInformationSEPA`
`StructuredRemittanceInformationSEPA`
`createStructuredRemittanceInformationSEPA()`
Create an instance of `StructuredRemittanceInformationSEPA`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectFactory

public ObjectFactory()
Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_002_002_02

## Method Details

### createDocument

public Document createDocument()
Create an instance of `Document`

### createAccountIdentificationSEPA

public AccountIdentificationSEPA createAccountIdentificationSEPA()
Create an instance of `AccountIdentificationSEPA`

### createAmendmentInformationDetailsSEPA

public AmendmentInformationDetailsSEPA createAmendmentInformationDetailsSEPA()
Create an instance of `AmendmentInformationDetailsSEPA`

### createAmountTypeSEPA

public AmountTypeSEPA createAmountTypeSEPA()
Create an instance of `AmountTypeSEPA`

### createBranchAndFinancialInstitutionIdentificationSEPA1

public BranchAndFinancialInstitutionIdentificationSEPA1 createBranchAndFinancialInstitutionIdentificationSEPA1()
Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA1`

### createBranchAndFinancialInstitutionIdentificationSEPA2

public BranchAndFinancialInstitutionIdentificationSEPA2 createBranchAndFinancialInstitutionIdentificationSEPA2()
Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA2`

### createCashAccountSEPA1

public CashAccountSEPA1 createCashAccountSEPA1()
Create an instance of `CashAccountSEPA1`

### createCashAccountSEPA2

public CashAccountSEPA2 createCashAccountSEPA2()
Create an instance of `CashAccountSEPA2`

### createCreditorReferenceInformationSEPA

public CreditorReferenceInformationSEPA createCreditorReferenceInformationSEPA()
Create an instance of `CreditorReferenceInformationSEPA`

### createCreditorReferenceTypeSEPA

public CreditorReferenceTypeSEPA createCreditorReferenceTypeSEPA()
Create an instance of `CreditorReferenceTypeSEPA`

### createCurrencyAndAmountSEPA

public CurrencyAndAmountSEPA createCurrencyAndAmountSEPA()
Create an instance of `CurrencyAndAmountSEPA`

### createDateAndPlaceOfBirth

public DateAndPlaceOfBirth createDateAndPlaceOfBirth()
Create an instance of `DateAndPlaceOfBirth`

### createFinancialInstitutionIdentificationSEPA1

public FinancialInstitutionIdentificationSEPA1 createFinancialInstitutionIdentificationSEPA1()
Create an instance of `FinancialInstitutionIdentificationSEPA1`

### createFinancialInstitutionIdentificationSEPA2

public FinancialInstitutionIdentificationSEPA2 createFinancialInstitutionIdentificationSEPA2()
Create an instance of `FinancialInstitutionIdentificationSEPA2`

### createGenericIdentification3

public GenericIdentification3 createGenericIdentification3()
Create an instance of `GenericIdentification3`

### createGenericIdentification4

public GenericIdentification4 createGenericIdentification4()
Create an instance of `GenericIdentification4`

### createGenericIdentificationSEPA

public GenericIdentificationSEPA createGenericIdentificationSEPA()
Create an instance of `GenericIdentificationSEPA`

### createGroupHeaderSEPA

public GroupHeaderSEPA createGroupHeaderSEPA()
Create an instance of `GroupHeaderSEPA`

### createLocalInstrumentSEPA

public LocalInstrumentSEPA createLocalInstrumentSEPA()
Create an instance of `LocalInstrumentSEPA`

### createMandateRelatedInformationSEPA

public MandateRelatedInformationSEPA createMandateRelatedInformationSEPA()
Create an instance of `MandateRelatedInformationSEPA`

### createOrganisationIdentificationSEPAChoice

public OrganisationIdentificationSEPAChoice createOrganisationIdentificationSEPAChoice()
Create an instance of `OrganisationIdentificationSEPAChoice`

### createOrganisationIdentificationSEPA

public OrganisationIdentificationSEPA createOrganisationIdentificationSEPA()
Create an instance of `OrganisationIdentificationSEPA`

### createOriginalGroupInformationSEPA

public OriginalGroupInformationSEPA createOriginalGroupInformationSEPA()
Create an instance of `OriginalGroupInformationSEPA`

### createOriginalTransactionReferenceSEPA

public OriginalTransactionReferenceSEPA createOriginalTransactionReferenceSEPA()
Create an instance of `OriginalTransactionReferenceSEPA`

### createPartySEPAChoice

public PartySEPAChoice createPartySEPAChoice()
Create an instance of `PartySEPAChoice`

### createPartySEPA1

public PartySEPA1 createPartySEPA1()
Create an instance of `PartySEPA1`

### createPartySEPA2

public PartySEPA2 createPartySEPA2()
Create an instance of `PartySEPA2`

### createPartyIdentificationSEPA1

public PartyIdentificationSEPA1 createPartyIdentificationSEPA1()
Create an instance of `PartyIdentificationSEPA1`

### createPartyIdentificationSEPA2

public PartyIdentificationSEPA2 createPartyIdentificationSEPA2()
Create an instance of `PartyIdentificationSEPA2`

### createPartyIdentificationSEPA3

public PartyIdentificationSEPA3 createPartyIdentificationSEPA3()
Create an instance of `PartyIdentificationSEPA3`

### createPartyIdentificationSEPA4

public PartyIdentificationSEPA4 createPartyIdentificationSEPA4()
Create an instance of `PartyIdentificationSEPA4`

### createPartyIdentificationSEPA5

public PartyIdentificationSEPA5 createPartyIdentificationSEPA5()
Create an instance of `PartyIdentificationSEPA5`

### createPaymentTransactionInformationSEPA

public PaymentTransactionInformationSEPA createPaymentTransactionInformationSEPA()
Create an instance of `PaymentTransactionInformationSEPA`

### createPaymentTypeInformationSEPA

public PaymentTypeInformationSEPA createPaymentTypeInformationSEPA()
Create an instance of `PaymentTypeInformationSEPA`

### createPersonIdentification3

public PersonIdentification3 createPersonIdentification3()
Create an instance of `PersonIdentification3`

### createPersonIdentificationSEPA

public PersonIdentificationSEPA createPersonIdentificationSEPA()
Create an instance of `PersonIdentificationSEPA`

### createPostalAddressSEPA

public PostalAddressSEPA createPostalAddressSEPA()
Create an instance of `PostalAddressSEPA`

### createRemittanceInformationSEPAChoice

public RemittanceInformationSEPAChoice createRemittanceInformationSEPAChoice()
Create an instance of `RemittanceInformationSEPAChoice`

### createRestrictedIdentificationSEPA

public RestrictedIdentificationSEPA createRestrictedIdentificationSEPA()
Create an instance of `RestrictedIdentificationSEPA`

### createServiceLevelSEPA

public ServiceLevelSEPA createServiceLevelSEPA()
Create an instance of `ServiceLevelSEPA`

### createStatusReason1Choice

public StatusReason1Choice createStatusReason1Choice()
Create an instance of `StatusReason1Choice`

### createStatusReasonInformationSEPA

public StatusReasonInformationSEPA createStatusReasonInformationSEPA()
Create an instance of `StatusReasonInformationSEPA`

### createStructuredRemittanceInformationSEPA

public StructuredRemittanceInformationSEPA createStructuredRemittanceInformationSEPA()
Create an instance of `StructuredRemittanceInformationSEPA`

### createPain00200102

public Pain00200102 createPain00200102()
Create an instance of `Pain00200102`

### createDocument

public JAXBElement<Document> createDocument(Document value)
Create an instance of `JAXBElement``<``Document``>`

Parameters:
  `value` - Java instance representing xml element's value.
Returns:
  the new instance of `JAXBElement``<``Document``>`